CatalogChannels
List product publications
GET
/v1/channels/products/publicationsList product publications. A successful request returns HTTP 200 with the documented response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Query Parameters
productIds*array<ResourceId>
Only these products.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/channels/products/publications?productIds=example" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>"[ { "productId": "7204558912004325301", "publications": [ { "channelId": "7204558912004325301", "channelName": "Example resource", "providerId": "7204558912004325301", "channelType": "ecommerce", "listingType": "salesChannel", "listingId": "7204558912004325301", "listingStatus": "draft", "externalId": "7204558912004325301", "externalUrl": "https://example.com/resource", "lastSyncAt": "2026-08-01T15:30:00Z", "price": 1, "compareAtPrice": 1, "lastSyncError": "example", "lastSyncErrorCode": "example_code", "readinessStatus": "unknown", "readinessIssues": [ { "code": "example_code", "message": "example", "blocking": false, "source": "example", "references": [ "example" ], "causeCode": 1, "sku": "SKU-001" } ], "publishable": false } ] }]